> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transfer

> Retrieve a transfer



## OpenAPI

````yaml get /transfers/{id}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transfers/{id}:
    get:
      tags:
        - Transfers
      summary: Fetch a Transfer
      description: Fetch the details of a transfer
      operationId: FetchaTransfer
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 09:08:10 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '491'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1eb-Tzj4oewV/0T6/a3DnL4FsQ"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse6'
                  - example:
                      status: success
                      message: Transfer fetched
                      data:
                        id: 621922
                        account_number: '0690000040'
                        bank_code: '044'
                        full_name: Alexis Sanchez
                        created_at: '2024-03-18T08:58:30.000Z'
                        currency: NGN
                        debit_currency: NGN
                        amount: 500
                        fee: 10.75
                        status: SUCCESSFUL
                        reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
                        meta: null
                        narration: Akhlm Pstmn Trnsfr xx007
                        approver: null
                        complete_message: Successful
                        requires_approval: 0
                        is_approved: 1
                        bank_name: ACCESS BANK NIGERIA
              example:
                status: success
                message: Transfer fetched
                data:
                  id: 621922
                  account_number: '0690000040'
                  bank_code: '044'
                  full_name: Alexis Sanchez
                  created_at: '2024-03-18T08:58:30.000Z'
                  currency: NGN
                  debit_currency: NGN
                  amount: 500
                  fee: 10.75
                  status: SUCCESSFUL
                  reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
                  meta: null
                  narration: Akhlm Pstmn Trnsfr xx007
                  approver: null
                  complete_message: Successful
                  requires_approval: 0
                  is_approved: 1
                  bank_name: ACCESS BANK NIGERIA
        '404':
          description: Not Found
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:49:21 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '61'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3d-x1nz9IqmnLU1noW8IhTMqw"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: Transfer not found
                      data: null
              example:
                status: error
                message: Transfer not found
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse6:
      title: SampleSuccessResponse6
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data36'
      example:
        status: success
        message: Transfer fetched
        data:
          id: 621922
          account_number: '0690000040'
          bank_code: '044'
          full_name: Alexis Sanchez
          created_at: '2024-03-18T08:58:30.000Z'
          currency: NGN
          debit_currency: NGN
          amount: 500
          fee: 10.75
          status: SUCCESSFUL
          reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
          meta: null
          narration: Akhlm Pstmn Trnsfr xx007
          approver: null
          complete_message: Successful
          requires_approval: 0
          is_approved: 1
          bank_name: ACCESS BANK NIGERIA
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data36:
      title: Data36
      required:
        - id
        - account_number
        - bank_code
        - full_name
        - created_at
        - currency
        - debit_currency
        - amount
        - fee
        - status
        - reference
        - meta
        - narration
        - approver
        - complete_message
        - requires_approval
        - is_approved
        - bank_name
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_number:
          type: string
        bank_code:
          type: string
        full_name:
          type: string
        created_at:
          type: string
        currency:
          type: string
        debit_currency:
          type: string
        amount:
          type: integer
          format: int32
        fee:
          type: number
        status:
          type: string
        reference:
          type: string
        meta:
          type: string
          nullable: true
        narration:
          type: string
        approver:
          type: string
          nullable: true
        complete_message:
          type: string
        requires_approval:
          type: integer
          format: int32
        is_approved:
          type: integer
          format: int32
        bank_name:
          type: string
      example:
        id: 621922
        account_number: '0690000040'
        bank_code: '044'
        full_name: Alexis Sanchez
        created_at: '2024-03-18T08:58:30.000Z'
        currency: NGN
        debit_currency: NGN
        amount: 500
        fee: 10.75
        status: SUCCESSFUL
        reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
        meta: null
        narration: Akhlm Pstmn Trnsfr xx007
        approver: null
        complete_message: Successful
        requires_approval: 0
        is_approved: 1
        bank_name: ACCESS BANK NIGERIA
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````